MONGOC_URI_UNESCAPE(3)

NAME
mongoc_uri_unescape() - Unescapes an URI encoded string. For example, "%40" would become "@".

SYNOPSIS

char *
mongoc_uri_unescape (const char *escaped_string);

PARAMETERS

escaped_string
    A utf8 encoded string.

DESCRIPTION

Unescapes an URI encoded string. For example, "%40" would become "@".

RETURNS

Returns a newly allocated string that should be freed with bson_free(3) \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.